# opkhelper
# lib/output.sh
# Functions for printing messages.
#
# Copyright (C) 2013-2014  Patrick "P. J." McDermott
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

[ "x${_OH_OUTPUT_SM+set}" = 'xset' ] && return 0
_OH_OUTPUT_SM=1

oh_error()
{
	local fmt="${1}"
	shift 1

	printf "%s: Error: ${fmt}\n" "${0##*/}" "${@}" >&2

	exit 1
}

oh_warn()
{
	local fmt="${1}"
	shift 1

	printf "%s: Warning: ${fmt}\n" "${0##*/}" "${@}" >&2

	return 0
}

oh_info()
{
	local fmt="${1}"
	shift 1

	printf "%s: ${fmt}\n" "${0##*/}" "${@}" >&2

	return 0
}
